# vnStat

vnStat is a lightweight (command line) network traffic monitor. It monitors selectable interfaces and stores network traffic logs in a database for later analysis.

## Installation

Install vnstat from the official repositories.

## Configuration

First open `/etc/vnstat.conf` with your editor and check the interface name is set right, eg.:

    # Interface "enp3s0"

### Start Systemd Service

After introducing the interface(s) and checking the config file. You can start the monitoring process via systemd

    # systemctl start vnstat.service

To make this service permanent use

    # systemctl enable vnstat.service

## Usage

Query the network traffic:

    # vnstat -q

Viewing live network traffic usage:

    # vnstat -l

To find more options, use:

    # vnstat --help

Category:

- Networking